Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# InputActionList.h

Go to the documentation of this file.

    00001 /************************************************************************/
    00002 /* Ex Nihlo Engine by Hermanns Christophe                                                               */
    00003 /************************************************************************/
    00004 /* This program is free software; you can redistribute it and/or                */
    00005 /* modify it under the terms of the GNU General Public License                  */
    00006 /* as published by the Free Software Foundation; either version 2               */
    00007 /* of the License, or (at your option) any later version.                               */
    00008 /*                                                                                                                                              */
    00009 /* This program is distributed in the hope that it will be useful,              */
    00010 /* but WITHOUT ANY WARRANTY; without even the implied warranty of               */
    00011 /* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                 */
    00012 /*                                                                                                                                              */
    00013 /* See the GNU General Public License for more details.                                 */
    00014 /*                                                                                                                                              */
    00015 /* You should have received a copy of the GNU General Public License    */
    00016 /* along with this program; if not, write to the Free Software                  */
    00017 /* Foundation, Inc., 59 Temple Place - Suite 330,                                               */
    00018 /* Boston, MA  02111-1307, USA.                                                                                 */
    00019 /*                                                                                                                                              */
    00020 /* If you use a important part of this code please send me a mail               */
    00021 /* I just want to see where my code go thks :)                                                  */
    00022 /************************************************************************/
    00023
    00024 /************************************************************************/
    00025 /* Contact                                                              */
    00026 /************************************************************************/
    00027 /* ExNihilo Website :www.ploksoftware.org                               */
    00028 /*                                                                      */
    00029 /* Hermanns Christophe ExNihilo creator and main programmer             */
    00030 /*                                                                      */
    00031 /* Mail             : Data@ploksoftware.org                                                             */
    00032 /* ICQ              : 8030901                                                                                   */
    00033 /* MSN Messenger    : Data_7@hotmail.com                                                                */
    00034 /*                                                                      */
    00035 /* Benjamin Michotte Linux port, webmaster                              */
    00036 /*                                                                      */
    00037 /* Mail             :binny@ploksoftware.org                             */
    00038 /*                                                                      */
    00039 /************************************************************************/
    00040
    00041 /************************************************************************/
    00042 /* File Description                                                                                             */
    00043 /************************************************************************/
    00044 /* File Name   :InputActionList.h                                                                               */
    00045 /*                                                                                                                                              */
    00046 /* Star Date   :03/15/2002                                                                                              */
    00047 /*                                                                                                                                              */
    00048 /* Last Update :                                                        */
    00049 /* $Id: InputActionList.h,v 1.19 2002/08/14 15:30:18 data Exp $         */
    00050 /*                                                                                                                                              */
    00051 /* File Description :All key                                                                                    */
    00052 /*                                                                      */
    00053 /* For update of this file check : www.ploksoftware.org                 */
    00054 /************************************************************************/
    00055
    00056 #ifndef __INPUTACTIONLIST_H__
    00057 #define __INPUTACTIONLIST_H__
    00058
    00059 #include "ExDefine.h"
    00060
    00061 //--------------------------------------------------------------
    00062 //First all command key mouse ,...
    00063 //--------------------------------------------------------------
    00064 #define NO_INPUT                                                        40000
    00065
    00066 #define MOUSE_LEFT_BUTTON_UP                            40001
    00067 #define MOUSE_LEFT_BUTTON_DOWN                          40002
    00068 #define MOUSE_RIGHT_BUTTON_UP                           40003
    00069 #define MOUSE_RIGHT_BUTTON_DOWN                         40004
    00070 #define MOUSE_MIDDLE_BUTTON_UP                          40005
    00071 #define MOUSE_MIDDLE_BUTTON_DOWN                        40006
    00072
    00073
    00074 #define KEYBOARD_DOWN_ESC                                       10001
    00075 #define KEYBOARD_DOWN_F1                                        10002
    00076 #define KEYBOARD_DOWN_F2                                        10003
    00077 #define KEYBOARD_DOWN_F3                                        10004
    00078 #define KEYBOARD_DOWN_F4                                        10005
    00079 #define KEYBOARD_DOWN_F5                                        10006
    00080 #define KEYBOARD_DOWN_F6                                        10007
    00081 #define KEYBOARD_DOWN_F7                                        10008
    00082 #define KEYBOARD_DOWN_F8                                        10009
    00083 #define KEYBOARD_DOWN_F9                                        10010
    00084 #define KEYBOARD_DOWN_F10                                       10011
    00085 #define KEYBOARD_DOWN_F11                                       10012
    00086 #define KEYBOARD_DOWN_F12                                       10013
    00087 #define KEYBOARD_DOWN_EXP                                       10014
    00088 #define KEYBOARD_DOWN_1                                         10015
    00089 #define KEYBOARD_DOWN_2                                         10016
    00090 #define KEYBOARD_DOWN_3                                         10017
    00091 #define KEYBOARD_DOWN_4                                         10018
    00092 #define KEYBOARD_DOWN_5                                         10019
    00093 #define KEYBOARD_DOWN_6                                         10020
    00094 #define KEYBOARD_DOWN_7                                         10021
    00095 #define KEYBOARD_DOWN_8                                         10022
    00096 #define KEYBOARD_DOWN_9                                         10023
    00097 #define KEYBOARD_DOWN_0                                         10024
    00098 #define KEYBOARD_DOWN_ENTER                                     10025
    00099 #define KEYBOARD_DOWN_SPACE                                     10026
    00100 #define KEYBOARD_DOWN_RSHIFT                            10027
    00101 #define KEYBOARD_DOWN_LSHIFT                            10028
    00102 #define KEYBOARD_DOWN_ARROW_UP                          10029
    00103 #define KEYBOARD_DOWN_ARROW_DOWN                        10030
    00104 #define KEYBOARD_DOWN_ARROW_LEFT                        10031
    00105 #define KEYBOARD_DOWN_ARROW_RIGHT                       10032
    00106 #define KEYBOARD_DOWN_PAGE_UP                           10033
    00107 #define KEYBOARD_DOWN_PAGE_DOWN                         10034
    00108 #define KEYBOARD_DOWN_HOME                                      10035
    00109 #define KEYBOARD_DOWN_END                                       10036
    00110 #define KEYBOARD_DOWN_INSERT                            10037
    00111 #define KEYBOARD_DOWN_A                                         10038
    00112 #define KEYBOARD_DOWN_Z                                         10039
    00113 #define KEYBOARD_DOWN_E                                         10040
    00114 #define KEYBOARD_DOWN_R                                         10041
    00115 #define KEYBOARD_DOWN_T                                         10042
    00116 #define KEYBOARD_DOWN_Y                                         10043
    00117 #define KEYBOARD_DOWN_U                                         10044
    00118 #define KEYBOARD_DOWN_I                                         10045
    00119 #define KEYBOARD_DOWN_O                                         10046
    00120 #define KEYBOARD_DOWN_P                                         10047
    00121 #define KEYBOARD_DOWN_Q                                         10048
    00122 #define KEYBOARD_DOWN_S                                         10049
    00123 #define KEYBOARD_DOWN_D                                         10050
    00124 #define KEYBOARD_DOWN_F                                         10051
    00125 #define KEYBOARD_DOWN_G                                         10052
    00126 #define KEYBOARD_DOWN_H                                         10053
    00127 #define KEYBOARD_DOWN_J                                         10054
    00128 #define KEYBOARD_DOWN_K                                         10055
    00129 #define KEYBOARD_DOWN_L                                         10056
    00130 #define KEYBOARD_DOWN_M                                         10057
    00131 #define KEYBOARD_DOWN_W                                         10058
    00132 #define KEYBOARD_DOWN_X                                         10059
    00133 #define KEYBOARD_DOWN_C                                         10060
    00134 #define KEYBOARD_DOWN_V                                         10061
    00135 #define KEYBOARD_DOWN_B                                         10062
    00136 #define KEYBOARD_DOWN_N                                         10063
    00137 #define KEYBOARD_DOWN_M_A                                       10064
    00138 #define KEYBOARD_DOWN_M_Z                                       10065
    00139 #define KEYBOARD_DOWN_M_E                                       10066
    00140 #define KEYBOARD_DOWN_M_R                                       10067
    00141 #define KEYBOARD_DOWN_M_T                                       10068
    00142 #define KEYBOARD_DOWN_M_Y                                       10069
    00143 #define KEYBOARD_DOWN_M_U                                       10070
    00144 #define KEYBOARD_DOWN_M_I                                       10071
    00145 #define KEYBOARD_DOWN_M_O                                       10072
    00146 #define KEYBOARD_DOWN_M_P                                       10073
    00147 #define KEYBOARD_DOWN_M_Q                                       10074
    00148 #define KEYBOARD_DOWN_M_S                                       10075
    00149 #define KEYBOARD_DOWN_M_D                                       10076
    00150 #define KEYBOARD_DOWN_M_F                                       10077
    00151 #define KEYBOARD_DOWN_M_G                                       10078
    00152 #define KEYBOARD_DOWN_M_H                                       10079
    00153 #define KEYBOARD_DOWN_M_J                                       10080
    00154 #define KEYBOARD_DOWN_M_K                                       10081
    00155 #define KEYBOARD_DOWN_M_L                                       10082
    00156 #define KEYBOARD_DOWN_M_M                                       10083
    00157 #define KEYBOARD_DOWN_M_W                                       10084
    00158 #define KEYBOARD_DOWN_M_X                                       10085
    00159 #define KEYBOARD_DOWN_M_C                                       10086
    00160 #define KEYBOARD_DOWN_M_V                                       10087
    00161 #define KEYBOARD_DOWN_M_B                                       10088
    00162 #define KEYBOARD_DOWN_M_N                                       10089
    00163 #define KEYBOARD_DOWN__                                         10090
    00164 #define KEYBOARD_DOWN_2POINTS                           10091
    00165 #define KEYBOARD_DOWN_POINT                             10092
    00166 #define KEYBOARD_DOWN_BACKSPACE                         10093
    00167 #define KEYBOARD_DOWN_TAB                                       10094
    00168 #define KEYBOARD_DOWN_CTRL_U                            10095
    00169 //--------------------------------------------
    00170 #define KEYBOARD_UP_ESC                                         20001
    00171 #define KEYBOARD_UP_F1                                          20002
    00172 #define KEYBOARD_UP_F2                                          20003
    00173 #define KEYBOARD_UP_F3                                          20004
    00174 #define KEYBOARD_UP_F4                                          20005
    00175 #define KEYBOARD_UP_F5                                          20006
    00176 #define KEYBOARD_UP_F6                                          20007
    00177 #define KEYBOARD_UP_F7                                          20008
    00178 #define KEYBOARD_UP_F8                                          20009
    00179 #define KEYBOARD_UP_F9                                          20010
    00180 #define KEYBOARD_UP_F10                                         20011
    00181 #define KEYBOARD_UP_F11                                         20012
    00182 #define KEYBOARD_UP_F12                                         20013
    00183 #define KEYBOARD_UP_EXP                                         20014
    00184 #define KEYBOARD_UP_1                                           20015
    00185 #define KEYBOARD_UP_2                                           20016
    00186 #define KEYBOARD_UP_3                                           20017
    00187 #define KEYBOARD_UP_4                                           20018
    00188 #define KEYBOARD_UP_5                                           20019
    00189 #define KEYBOARD_UP_6                                           20020
    00190 #define KEYBOARD_UP_7                                           20021
    00191 #define KEYBOARD_UP_8                                           20022
    00192 #define KEYBOARD_UP_9                                           20023
    00193 #define KEYBOARD_UP_0                                           20024
    00194 #define KEYBOARD_UP_ENTER                                       20025
    00195 #define KEYBOARD_UP_SPACE                                       20026
    00196 #define KEYBOARD_UP_RSHIFT                                      20027
    00197 #define KEYBOARD_UP_LSHIFT                                      20028
    00198 #define KEYBOARD_UP_ARROW_UP                            20029
    00199 #define KEYBOARD_UP_ARROW_DOWN                          20030
    00200 #define KEYBOARD_UP_ARROW_LEFT                          20031
    00201 #define KEYBOARD_UP_ARROW_RIGHT                         20032
    00202 #define KEYBOARD_UP_PAGE_UP                                     20033
    00203 #define KEYBOARD_UP_PAGE_DOWN                           20034
    00204 #define KEYBOARD_UP_HOME                                        20035
    00205 #define KEYBOARD_UP_END                                         20036
    00206 #define KEYBOARD_UP_INSERT                                      20037
    00207 #define KEYBOARD_UP_A                                           20038
    00208 #define KEYBOARD_UP_Z                                           20039
    00209 #define KEYBOARD_UP_E                                           20040
    00210 #define KEYBOARD_UP_R                                           20041
    00211 #define KEYBOARD_UP_T                                           20042
    00212 #define KEYBOARD_UP_Y                                           20043
    00213 #define KEYBOARD_UP_U                                           20044
    00214 #define KEYBOARD_UP_I                                           20045
    00215 #define KEYBOARD_UP_O                                           20046
    00216 #define KEYBOARD_UP_P                                           20047
    00217 #define KEYBOARD_UP_Q                                           20048
    00218 #define KEYBOARD_UP_S                                           20049
    00219 #define KEYBOARD_UP_D                                           20050
    00220 #define KEYBOARD_UP_F                                           20051
    00221 #define KEYBOARD_UP_G                                           20052
    00222 #define KEYBOARD_UP_H                                           20053
    00223 #define KEYBOARD_UP_J                                           20054
    00224 #define KEYBOARD_UP_K                                           20055
    00225 #define KEYBOARD_UP_L                                           20056
    00226 #define KEYBOARD_UP_M                                           20057
    00227 #define KEYBOARD_UP_W                                           20058
    00228 #define KEYBOARD_UP_X                                           20059
    00229 #define KEYBOARD_UP_C                                           20060
    00230 #define KEYBOARD_UP_V                                           20061
    00231 #define KEYBOARD_UP_B                                           20062
    00232 #define KEYBOARD_UP_N                                           20063
    00233 #define KEYBOARD_UP_M_A                                         20064
    00234 #define KEYBOARD_UP_M_Z                                         20065
    00235 #define KEYBOARD_UP_M_E                                         20066
    00236 #define KEYBOARD_UP_M_R                                         20067
    00237 #define KEYBOARD_UP_M_T                                         20068
    00238 #define KEYBOARD_UP_M_Y                                         20069
    00239 #define KEYBOARD_UP_M_U                                         20070
    00240 #define KEYBOARD_UP_M_I                                         20071
    00241 #define KEYBOARD_UP_M_O                                         20072
    00242 #define KEYBOARD_UP_M_P                                         20073
    00243 #define KEYBOARD_UP_M_Q                                         20074
    00244 #define KEYBOARD_UP_M_S                                         20075
    00245 #define KEYBOARD_UP_M_D                                         20076
    00246 #define KEYBOARD_UP_M_F                                         20077
    00247 #define KEYBOARD_UP_M_G                                         20078
    00248 #define KEYBOARD_UP_M_H                                         20079
    00249 #define KEYBOARD_UP_M_J                                         20080
    00250 #define KEYBOARD_UP_M_K                                         20081
    00251 #define KEYBOARD_UP_M_L                                         20082
    00252 #define KEYBOARD_UP_M_M                                         20083
    00253 #define KEYBOARD_UP_M_W                                         20084
    00254 #define KEYBOARD_UP_M_X                                         20085
    00255 #define KEYBOARD_UP_M_C                                         20086
    00256 #define KEYBOARD_UP_M_V                                         20087
    00257 #define KEYBOARD_UP_M_B                                         20088
    00258 #define KEYBOARD_UP_M_N                                         20089
    00259 #define KEYBOARD_UP__                                           20090
    00260 #define KEYBOARD_UP_2POINTS                                     20091
    00261 #define KEYBOARD_UP_POINT                                       20092
    00262 #define KEYBOARD_UP_BACKSPACE                           20093
    00263 #define KEYBOARD_UP_TAB                                         20094
    00264 #define KEYBOARD_UP_CTRL_U                                      20095
    00265 //--------------------------------------------------------------
    00266 //class Action
    00267 //--------------------------------------------------------------
    00268 class SAction
    00269 {
    00270 public:
    00271
    00272         int                             m_Action;        //action id
    00273         int                             m_ActionNumber;  //action number if there is more than one action chained
    00274         std::string             m_Param;                 //action parameter
    00275
    00276         double                  m_StartingLife;  //time when action is create
    00277         double                  m_ExecutingLife; //time when action will be executed
    00278         bool                    m_executed;      //flag if action is executed
    00279
    00280         SAction         *m_NextAction;   // to next action to chain action
    00281
    00282         SAction()
    00283         {
    00284                 m_NextAction=NULL;
    00285                 m_Action=0;
    00286                 m_ActionNumber=0;
    00287                 m_executed=false;
    00288                 m_StartingLife=(double)((double)glutGet(GLUT_ELAPSED_TIME)/1000);
    00289                 m_ExecutingLife=-1;
    00290                 m_Param="NULL";
    00291         }
    00292         SAction(const SAction& Action)
    00293         {
    00294                 m_NextAction=Action.m_NextAction;
    00295                 m_Action=Action.m_Action;
    00296                 m_ActionNumber=0;
    00297                 m_executed=Action.m_executed;
    00298                 m_StartingLife=Action.m_StartingLife;
    00299                 m_ExecutingLife=Action.m_ExecutingLife;
    00300                 m_Param=Action.m_Param;
    00301         }
    00302         SAction(int Action)
    00303         {
    00304                 m_NextAction=NULL;
    00305                 m_Action=Action;
    00306                 m_ActionNumber=0;
    00307                 m_executed=false;
    00308                 m_StartingLife=(double)((double)glutGet(GLUT_ELAPSED_TIME)/1000);
    00309                 m_ExecutingLife=-1;
    00310                 m_Param="NULL";
    00311         }
    00312         SAction(int Action,std::string Param)
    00313         {
    00314                 m_NextAction=NULL;
    00315                 m_Action=Action;
    00316                 m_ActionNumber=0;
    00317                 m_executed=false;
    00318                 m_StartingLife=(double)((double)glutGet(GLUT_ELAPSED_TIME)/1000);
    00319                 m_ExecutingLife=-1;
    00320                 m_Param=Param;
    00321         }
    00322         void SetParam(std::string Param)
    00323         {
    00324                 m_Param=Param;
    00325         }
    00326         bool AllActionDone()
    00327         {
    00328                 while(this->m_NextAction!=NULL)
    00329                 {
    00330                         if(this->m_executed==false)
    00331                         {
    00332                                 return false;//one action is not done return false to keep action
    00333                         }
    00334                 }
    00335                 return true;
    00336         }
    00337 };
    00338 //--------------------------------------------------------------
    00339 //Action list
    00340 //--------------------------------------------------------------
    00341 #define START_BASIC_ACTION_MAP                                          0
    00342
    00343         #define NOTHING                                                                 0
    00344         #define QUIT                                                                    30001
    00345
    00346
    00347         #define ENABLE_ANTIALIASING                                             30004
    00348         #define DISABEL_ANTIALIASING                                    30005
    00349
    00350         #define SET_RENDERMODE_TEXTURES_LIGHT                   30006
    00351         #define SET_RENDERMODE_TEXTURES                                 30007
    00352         #define SET_RENDERMODE_TRIANGLES_LIGHT                  30008
    00353         #define SET_RENDERMODE_TRIANGLES                                30009
    00354         #define SET_RENDERMODE_POINTS                                   30010
    00355         #define SET_RENDERMODE_LINES                                    30011
    00356         #define SET_RENDERMODE_NO                                               30012
    00357
    00358         #define SHOW_NET_STAT                                                   30013
    00359         #define HIDE_NET_STAT                                                   30014
    00360         #define SHOW_FPS_STAT                                                   30015
    00361         #define HIDE_FPS_STAT                                                   31116
    00362
    00363
    00364
    00365
    00366         #define ENABLE_GRIDE                                                    30020
    00367         #define DISABLE_GRIDE                                                   30021
    00368         #define SWITCH_GRIDE                                                    30022
    00369
    00370         #define SET_RESOLUTION_800_600_16                               30023
    00371         #define SET_RESOLUTION_800_600_24                               30024
    00372         #define SET_RESOLUTION_800_600_32                               30025
    00373         #define SET_RESOLUTION_1024_768_16                              30026
    00374         #define SET_RESOLUTION_1024_768_24                              30027
    00375         #define SET_RESOLUTION_1024_768_32                              30028
    00376         #define SET_RESOLUTION_1600_1200_16                             30029
    00377         #define SET_RESOLUTION_1600_1200_24                             30030
    00378         #define SET_RESOLUTION_1600_1200_32                             30031
    00379
    00380         #define LOAD_COMMAND_CONFIG_FILE                                30032
    00381         #define LOAD_MODELE_FILE                                                30033
    00382         #define LOAD_MAP_FILE                                                   30034
    00383         #define LOAD_INTERFACE_FILE                                             30035
    00384         #define LOAD_SOUND_FILE                                                 30036
    00385         #define LOAD_CONSOLE_CONFIG_FILE                                30037
    00386         #define LOAD_FILE                                                               30038
    00387         #define LOAD_SET_OF_FILE                                                30039
    00388         #define LOAD_EXEC_CONFIG_FILE                                   30043
    00389         #define LOAD_PART_CONFIG_FILE                                   30047
    00390
    00391         #define RESET                                                                   30040
    00392
    00393         #define ENABLE_MULTIVIEW                                                30041
    00394         #define DISABLE_MULTIVIEW                                               30042
    00395         #define LIST_TEXTURE                                                    30045
    00396         #define CHECK_DEVICE                                                    30046
    00397         #define SET_SPECIAL_EFFECT                                              30048
    00398         #define LIST_ID                                                                 30049
    00399
    00400 #define END_BASIC_ACTION_MAP                                                    30098
    00401 //-----------------------------
    00402 //Cammera Action start at 30100
    00403 //-----------------------------
    00404 #define START_CAMERA_ACTION_MAP                                                 30099
    00405         #define CAMERA_CURRENT_START_ROTATEX_UP                 30100
    00406         #define CAMERA_CURRENT_STOP_ROTATEX_UP                  30101
    00407         #define CAMERA_CURRENT_ROTATEX_UP                               30102
    00408         #define CAMERA_CURRENT_START_ROTATEX_DOWN               30103
    00409         #define CAMERA_CURRENT_STOP_ROTATEX_DOWN                30104
    00410         #define CAMERA_CURRENT_ROTATEX_DOWN                             30105
    00411
    00412         #define CAMERA_CURRENT_START_ROTATEY_UP                 30106
    00413         #define CAMERA_CURRENT_STOP_ROTATEY_UP                  30107
    00414         #define CAMERA_CURRENT_ROTATEY_UP                               30108
    00415         #define CAMERA_CURRENT_START_ROTATEY_DOWN               30109
    00416         #define CAMERA_CURRENT_STOP_ROTATEY_DOWN                30110
    00417         #define CAMERA_CURRENT_ROTATEY_DOWN                             30111
    00418
    00419         #define CAMERA_CURRENT_START_ROTATEZ_UP                 30112
    00420         #define CAMERA_CURRENT_STOP_ROTATEZ_UP                  30113
    00421         #define CAMERA_CURRENT_ROTATEZ_UP                               30114
    00422         #define CAMERA_CURRENT_START_ROTATEZ_DOWN               30115
    00423         #define CAMERA_CURRENT_STOP_ROTATEZ_DOWN                30116
    00424         #define CAMERA_CURRENT_ROTATEZ_DOWN                             30117
    00425
    00426         #define CAMERA_CURRENT_START_GOTO_TARGET                30118
    00427         #define CAMERA_CURRENT_STOP_GOTO_TARGET                 30119
    00428         #define CAMERA_CURRENT_GOTO_TARGET                              30120
    00429
    00430         #define CAMERA_CURRENT_START_INCREASE_SPEED             30121
    00431         #define CAMERA_CURRENT_STOP_INCREASE_SPEED              30122
    00432         #define CAMERA_CURRENT_INCREASE_SPEED                   30123
    00433
    00434         #define CAMERA_CURRENT_START_DECREASE_SPEED             30124
    00435         #define CAMERA_CURRENT_STOP_DECREASE_SPEED              30125
    00436         #define CAMERA_CURRENT_DECREASE_SPEED                   30126
    00437
    00438         #define CAMERA_CURRENT_FULL_STOP                                30127
    00439
    00440         #define CAMERA_NEXT_CAM                                                 30128
    00441         #define CAMERA_PREV_CAM                                                 30129
    00442
    00443         #define CAMERA_CURRENT_ROTATEX_UP_TO                    30130
    00444         #define CAMERA_CURRENT_ROTATEX_DOWN_TO                  30131
    00445         #define CAMERA_CURRENT_ROTATEY_UP_TO                    30132
    00446         #define CAMERA_CURRENT_ROTATEY_DOWN_TO                  30133
    00447         #define CAMERA_CURRENT_ROTATEZ_UP_TO                    30134
    00448         #define CAMERA_CURRENT_ROTATEZ_DOWN_TO                  30135
    00449 #define END_CAMERA_ACTION_MAP                                           30198
    00450
    00451 //-----------------------------
    00452 //Entite Action start at 30200
    00453 //-----------------------------
    00454 #define START_ENTITE_ACTION_MAP                                                 30199
    00455         #define SET_NEXT_ENTITE_CURRENT                                         30200
    00456         #define ENTITE_CURRENT_INCREASE_VELOCITY_X                      30201
    00457         #define ENTITE_CURRENT_DECREASE_VELOCITY_X                      30202
    00458         #define ENTITE_CURRENT_START_INCREASE_VELOCITY_X        30203
    00459         #define ENTITE_CURRENT_STOP_INCREASE_VELOCITY_X         30204
    00460         #define ENTITE_CURRENT_START_DECREASE_VELOCITY_X        30205
    00461         #define ENTITE_CURRENT_STOP_DECREASE_VELOCITY_X         30206
    00462         #define ENTITE_CURRENT_INCREASE_VELOCITY_Y                      30207
    00463         #define ENTITE_CURRENT_DECREASE_VELOCITY_Y                      30208
    00464         #define ENTITE_CURRENT_START_INCREASE_VELOCITY_Y        30209
    00465         #define ENTITE_CURRENT_STOP_INCREASE_VELOCITY_Y         30210
    00466         #define ENTITE_CURRENT_START_DECREASE_VELOCITY_Y        30211
    00467         #define ENTITE_CURRENT_STOP_DECREASE_VELOCITY_Y         30212
    00468         #define ENTITE_CURRENT_INCREASE_VELOCITY_Z                      30213
    00469         #define ENTITE_CURRENT_DECREASE_VELOCITY_Z                      30214
    00470         #define ENTITE_CURRENT_START_INCREASE_VELOCITY_Z        30215
    00471         #define ENTITE_CURRENT_STOP_INCREASE_VELOCITY_Z         30216
    00472         #define ENTITE_CURRENT_START_DECREASE_VELOCITY_Z        30217
    00473         #define ENTITE_CURRENT_STOP_DECREASE_VELOCITY_Z         30218
    00474         #define ENTITE_CURRENT_SET_VELOCITY_X                           30219
    00475         #define ENTITE_CURRENT_SET_VELOCITY_Y                           30220
    00476         #define ENTITE_CURRENT_SET_VELOCITY_Z                           30221
    00477         #define LIST_ENTITE                                                                     30222
    00478         #define SET_CURRENT_ENTITE                                                      30223
    00479         #define SET_CURRENT_ENTITE_NAME                                         30224
    00480
    00481         #define ENTITE_CURRENT_START_ROTATE_X_UP                        30225
    00482         #define ENTITE_CURRENT_STOP_ROTATE_X_UP                         30226
    00483         #define ENTITE_CURRENT_ROTATE_X_UP                                      30227
    00484         #define ENTITE_CURRENT_START_ROTATE_Y_UP                        30228
    00485         #define ENTITE_CURRENT_STOP_ROTATE_Y_UP                         30229
    00486         #define ENTITE_CURRENT_ROTATE_Y_UP                                      30230
    00487         #define ENTITE_CURRENT_START_ROTATE_Z_UP                        30231
    00488         #define ENTITE_CURRENT_STOP_ROTATE_Z_UP                         30232
    00489         #define ENTITE_CURRENT_ROTATE_Z_UP                                      30233
    00490
    00491         #define ENTITE_CURRENT_START_ROTATE_X_DOWN                      30234
    00492         #define ENTITE_CURRENT_STOP_ROTATE_X_DOWN                       30235
    00493         #define ENTITE_CURRENT_ROTATE_X_DOWN                            30236
    00494         #define ENTITE_CURRENT_START_ROTATE_Y_DOWN                      30237
    00495         #define ENTITE_CURRENT_STOP_ROTATE_Y_DOWN                       30238
    00496         #define ENTITE_CURRENT_ROTATE_Y_DOWN                            30239
    00497         #define ENTITE_CURRENT_START_ROTATE_Z_DOWN                      30240
    00498         #define ENTITE_CURRENT_STOP_ROTATE_Z_DOWN                       30241
    00499         #define ENTITE_CURRENT_ROTATE_Z_DOWN                            30242
    00500
    00501         #define ENTITE_CURRENT_SET_ROTATE_X                                     30243
    00502         #define ENTITE_CURRENT_SET_ROTATE_Y                                     30244
    00503         #define ENTITE_CURRENT_SET_ROTATE_Z                                     30245
    00504
    00505 #define END_ENTITE_ACTION_MAP                                                   30298
    00506 //-----------------------------
    00507 //Sound Action start at 30300
    00508 //-----------------------------
    00509 #define START_SOUND_ACTION_MAP                                          30299
    00510         #define LIST_SOUND                                                              30300
    00511         #define REMOVE_SOUND                                                    30301
    00512         #define PLAY_SOUND                                                              30302
    00513         #define STOP_SOUND                                                              30303
    00514         #define SET_REPEATS_SOUND                                               30304
    00515         #define GET_REPEATS_SOUND                                               30305
    00516         #define ADD_SOUND                                                               30306
    00517 #define END_SOUND_ACTION_MAP                                            30398
    00518 //-------------------------------
    00519 //Interface Action start at 30400
    00520 //-------------------------------
    00521 #define START_INTERFACE_ACTION_MAP                                      30399
    00522         #define SHOW_INTERFACE_REGION                                   30400
    00523         #define HIDE_INTERFACE_REGION                                   30401
    00524         #define LIST_INTERFACE                                                  30402
    00525         #define ENABLE_INTERFACE                                                30403
    00526         #define DISABLE_INTERFACE                                               30404
    00527         #define ADD_INTERFACE                                                   30405
    00528         #define ENABLE_ALL_INTERFACE                                    30406
    00529         #define DISABLE_ALL_INTERFACE                                   30407
    00530 #define END_INTERFACE_ACTION_MAP                                        30498
    00531 //-------------------------------
    00532 //Map Action start at 30500
    00533 //-------------------------------
    00534 #define START_MAP_ACTION_MAP                                            30499
    00535         #define SHOW_MAP_SKY_BOX                                                30500
    00536         #define HIDE_MAP_SKY_BOX                                                30501
    00537         #define SHOW_MAP_MESH                                                   30502
    00538         #define HIDE_MAP_MESH                                                   30503
    00539         #define ENABLE_MAP_OCTREE                                               30504
    00540         #define DISABLE_MAP_OCTREE                                              30505
    00541         #define SHOW_MAP_OCTREE_SUBDIVISON                              30506
    00542         #define HIDE_MAP_OCTREE_SUBDIVISON                              30507
    00543 #define END_MAP_ACTION_MAP                                                      30598
    00544
    00545 //-------------------------------
    00546 //fog Action start at 30600
    00547 //-------------------------------
    00548 #define START_FOG_ACTION_MAP                                            30599
    00549         #define ENABLE_FOG                                                              30600
    00550         #define DISABEL_FOG                                                             30601
    00551         #define SET_FOG_COLOR_R                                                 30602
    00552         #define SET_FOG_COLOR_G                                                 30603
    00553         #define SET_FOG_COLOR_B                                                 30604
    00554         #define SET_FOG_START_POINT                                             30605
    00555         #define SET_FOG_END_POINT                                               30606
    00556         #define SET_FOG_DENSITY                                                 30607
    00557         #define SET_FOG_ALGO_LINEAR                                             30608
    00558         #define SET_FOG_ALGO_EXP2                                               30609
    00559         #define SET_FOG_ALGO_EXP                                                30610
    00560 #define END_FOG_ACTION_MAP                                                      30698
    00561 //---------------------------------------
    00562 //Particule systeme Action start at 30700
    00563 //---------------------------------------
    00564 #define START_PARTICULESYSTEME_ACTION_MAP                       30699
    00565         #define LOAD_PARTICULESYSTEME                                   30700
    00566         #define STAR_PARTICULESYSTEME                                   30701
    00567         #define STOP_PARTICULESYSTEME                                   30702
    00568         #define PAUSE_PARTICULESYSTEME                                  30703
    00569         #define STAR_ALL_PARTICULESYSTEME                               30704
    00570         #define STOP_ALL_PARTICULESYSTEME                               30705
    00571         #define PAUSE_ALL_PARTICULESYSTEME                              30706
    00572         #define LIST_PARTICULESYSTEME                                   30707
    00573 #define END_PARTICULESYSTEME_ACTION_MAP                         30799
    00574
    00575 //-----------------------------
    00576 //Consol Action start at 30800
    00577 //-----------------------------
    00578 #define START_CONSOL_ACTION_MAP                                         30800
    00579         #define ENABLE_CONSOL_BACKGROUND_TEXTURE                30801
    00580         #define DISABLE_CONSOL_BACKGROUND_TEXTURE               30802
    00581         #define SET_CONSOL_BACKGROUND_TEXURE                    30803
    00582         #define SET_CONSOL_BACKGROUND_COLOR                             30804
    00583         #define SET_CONSOL_BACKGROUND_COLOR_BLUE                30805
    00584         #define SET_CONSOL_BACKGROUND_COLOR_GREEN               30806
    00585         #define SET_CONSOL_BACKGROUND_COLOR_RED                 30807
    00586         #define ENABLE_CONSOL_BACKGROUND_BLENDING               30809
    00587         #define DISABLE_CONSOL_BACKGROUND_BLENDING              30810
    00588         #define SET_CONSOL_BACKGROUND_BLENDING                  30811
    00589         #define SHOW_FULL_CONSOL                                                30812
    00590         #define SHOW_HALF_CONSOL                                                30813
    00591         #define HIDE_CONSOL                                                             30814
    00592         #define CONSOL_NEXT_AVIABLE_STATE                               30815
    00593         #define CONSOL_LINE_UP                                                  30816
    00594         #define CONSOL_LINE_DOWN                                                30817
    00595 #define END_CONSOL_ACTION_MAP                                           30899
    00596 //-----------------------------
    00597 //CUSTOM Action start at 40000
    00598 //-----------------------------
    00599 #define START_CUSTOM_ACTION_ACTION_MAP                          39999
    00600         #define CUSTOM_ACTION_1                                                 40001
    00601         #define CUSTOM_ACTION_2                                                 40002
    00602         #define CUSTOM_ACTION_3                                                 40003
    00603         #define CUSTOM_ACTION_4                                                 40004
    00604 #define END_CUSTOM_ACTION_ACTION_MAP                            50000
    00605
    00606 #endif